org.eclipse.wst.jsdt.chromium

## Interface JsValue

All Known Subinterfaces:
  JsArray, JsFunction, JsObject

    public interface JsValue

An object that represents a browser JavaScript VM variable value (compound or atomic.)

In some backends values (currently only strings) are loaded with a size limit. The value part that exceeds the limit is truncated. The full value can be loaded by `reloadHeavyValue(org.eclipse.wst.jsdt.chromium.JsValue.ReloadBiggerCallback, org.eclipse.wst.jsdt.chromium.SyncCallback)` method.

### Nested Class Summary

Nested Classes
`static interface` `JsValue.ReloadBiggerCallback`
`static class` `JsValue.Type` Type of a JavaScript value.

### Method Summary

All Methods Instance Methods Abstract Methods
`JsObject` `asObject()` Return this value cast to `JsObject` or `null` if this value is not an object.
`JsValue.Type` `getType()`
`java.lang.String` `getValueString()`
`boolean` `isTruncated()`
`RelayOk` `reloadHeavyValue(JsValue.ReloadBiggerCallback callback, SyncCallback syncCallback)` Asynchronously reloads object value with extended size limit.

### Method Detail

#### getType

    JsValue.Type getType()

Returns:
  this value type

#### getValueString

    java.lang.String getValueString()

Returns:
  a string representation of this value

#### asObject

    JsObject asObject()

Return this value cast to `JsObject` or `null` if this value is not an object. See `JsValue.Type.isObjectType(org.eclipse.wst.jsdt.chromium.JsValue.Type)` method for details.

Returns:
  this or null

#### isTruncated

    boolean isTruncated()

Returns:
  whether the value of the object has been truncated while loaded

#### reloadHeavyValue

    RelayOk reloadHeavyValue(JsValue.ReloadBiggerCallback callback,
                             SyncCallback syncCallback)

Asynchronously reloads object value with extended size limit.